Guard

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Interface Guard

All Known Implementing Classes:
  AllPermission, AppsControlPermission, AWTPermission, BasicPermission, DripFeedPermission, FilePermission, HomeNetPermission, IxcPermission, MediaSelectPermission, MonitorAppPermission, NetPermission, OcapIxcPermission, Permission, PropertyPermission, ProviderPermission, RCPermission, ReadPermission, RecordingPermission, ReflectPermission, RegisteredApiUserPermission, RuntimePermission, SecurityPermission, SelectPermission, SerializablePermission, ServiceContextPermission, ServiceTypePermission, SocketPermission, SSLPermission, TunerPermission, UnresolvedPermission, UserPreferencePermission

    public interface Guard

This interface represents a guard, which is an object that is used to protect access to another object.

This interface contains a single method, `checkGuard`, with a single `object` argument. `checkGuard` is invoked (by the GuardedObject `getObject` method) to determine whether or not to allow access to the object.

Version:
  1.9 00/02/02
Author:
  Roland Schemers, Li Gong
See Also:
  `GuardedObject`

Method Summary
`void` | `checkGuard(Object object)` Determines whether or not to allow access to the guarded object `object`.

Method Detail

### checkGuard

    void checkGuard(Object object)
                    throws SecurityException

  Determines whether or not to allow access to the guarded object `object`. Returns silently if access is allowed. Otherwise, throws a SecurityException.

  Parameters:
    `object` - the object being protected by the guard.
  Throws:
    `SecurityException` - if access is denied.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD